<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<#comment>系统是否包含预定义代码表</#comment>
<#assign hasPredefinedCodeList=false>
<#list sys.getAllPSCodeLists() as codelist>
    <#if codelist.getPredefinedType()?? && codelist.getPredefinedType()=='RUNTIME'>
        <#assign hasPredefinedCodeList=true>
        <#break>
    </#if>
</#list>
<#if hasPredefinedCodeList>
package ${pub.getPKGCodeName()}.util.client;

import com.alibaba.fastjson.JSONObject;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Component
public class IBZDictFallback implements IBZDictFeignClient {

    @Override
    public ResponseEntity<Boolean> syncRuntimeDict(List<JSONObject> catalogs) {
        return null;
    }
}
</#if>